Description

Associated revisions

Revision 903 - 11/28/2018 05:48 AM - lukemurphey

Adding lemma lookup

Reference #2333

Revision 941 - 11/28/2018 05:48 AM - lukemurphey

Adding lemma lookup

Reference #2333

Revision 904 - 12/11/2018 04:38 PM - lukemurphey

Adding import of Middle LSJ

Reference #2333

Revision 942 - 12/11/2018 04:38 PM - lukemurphey

Adding import of Middle LSJ

Reference #2333

History

#1 - 11/27/2018 05:12 AM - Luke Murphey

Some difficulties:

There can be multiple word forms that match. I think I need to lookup the lemmas directly. In theory, they should all match.

#2 - 11/27/2018 07:28 PM - Luke Murphey

The lookups are not working.

Observations:

See the following similar functions:

reader.utils.get_word_descriptions()
reader.utils.get_all_related_forms()

The form converted from beta-code doesn't match the Lemma

Lemma.objects.filter(lexical_form=language_tools.greek.Greek.beta_code_to_unicode(u"a)a/atos"))

 

Questions:

#3 - 11/28/2018 07:12 AM - Luke Murphey

from reader import utils, language_tools

utils.get_lemma(language_tools.greek.Greek.beta_code_to_unicode(u"a)a/atos"))

#4 - 12/11/2018 06:37 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 12/11/2018 06:37 AM - Luke Murphey

- % Done changed from 0 to 40

#6 - 12/11/2018 04:47 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 40 to 100
